RNAEFFECTIVE(1)

NAME
RNAeffective - calculation of effective numbers of orthologous miRNA targets

SYNOPSIS
RNAeffective [-h] [-d frequency_file] [-f from,to] [-k sample_size] [-l mean,std] [-m max_target_length] [-n max_query_length] [-u iloop_upper_limit] [-v bloop_upper_limit] [-s] [-t target_file] [-q query_file] [query]

DESCRIPTION
RNAeffective is a tool for determining the effective number of orthologous miRNA targets. This number can be used for the calculation of more accurate joint p-values in multi-species analyses. RNAeffective searches a set of target sequences with random miRNAs that can be given on the command line or otherwise generates random sequences according to given sample size, length distribution parameters and dinucleotide frequencies. The empirical distribution of joint p-values is compared to the p-values themselves, and the effective number of independent targets is the one that reduces the deviation between the two distributions.

OPTIONS

-h  Give a short summary of command line options.

-d frequency_file
    Generate random sequences according to dinucleotide frequencies given in frequency_file. See example directory for example files.

-f from,to
    Forces all structures to have a helix from position from to position to with respect to the query. The first base has position 1.

-k sample_size
    Generate sample_size random sequences. Default value is 5000.

-l mean,std
    Generate random sequences with a normal length distribution of mean mean and standard deviation std. Default values are 22 and 0, respectively.

-m max_target_length
    The maximum allowed length of a target sequence. The default value is 2000. This option only has an effect if a target file is given with the -t option (see below).

-n max_query_length
    The maximum allowed length of a query sequence. The default value is 30. This option only has an effect if a query file is given with the -q option (see below).

-u iloop_upper_limit
    The maximally allowed number of unpaired nucleotides in either side of an internal loop.

-v bloop_upper_limit
    The maximally allowed number of unpaired nucleotides in a bulge loop.

-s  Generate random sequences according to the dinucleotide distribution of given queries (either with the -q option or on command line. If no -q is given, the last argument to RNAeffective is taken as a query). See -q option.

-q query_file
    Without the -s option, each of the query sequences in query_file is subject to hybridisation with each of the targets (which are from the target_file; see -t below). The sequences in the query_file have to be in FASTA format, ie. one line starting with a > and directly followed by a name, then one or more following lines with the sequence itself. Each individual sequence line must not have more than 1000 characters.

    With the -s option, the query (or query file) dinucleotide distribution is counted, and random sequences are generated according to this distribution.

    If no -q is given, random sequences are generated as described above (see -d option).

-t target_file
    See -q option above.

REFERENCES
The energy parameters are taken from:

Mathews DH, Sabina J, Zuker M, Turner DH. "Expanded sequence dependence of thermodynamic parameters improves prediction of RNA secondary structure" J Mol Biol., 288 (5), pp 911-940, 1999

VERSION
This man page documents version 2.0 of RNAeffective.

AUTHORS
Marc Rehmsmeier, Peter Steffen, Matthias Hoechsmann.

LIMITATIONS
Character dependent energy values are only defined for [acgtuACGTU]. All other characters lead to values of zero in these cases.

SEE ALSO
RNAhybrid, RNAcalibrate